Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.input
Class DemuxInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.commons.io.input.DemuxInputStream

All Implemented Interfaces:
  Closeable

    public class DemuxInputStream

extends InputStream

Data written to this stream is forwarded to a stream that has been associated with this thread.

Version:
  $Revision: 736890 $ $Date: 2009-01-23 02:02:22 +0000 (Fri, 23 Jan 2009) $
Author:
  Peter Donald

Constructor Summary
`DemuxInputStream()`

Method Summary
`InputStream` | `bindStream(InputStream input)` Bind the specified stream to the current thread.
`void` | `close()` Closes stream associated with current thread.
`int` | `read()` Read byte from stream associated with current thread.

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DemuxInputStream

    public DemuxInputStream()

Method Detail

### bindStream

    public InputStream bindStream(InputStream input)

  Bind the specified stream to the current thread.

  Parameters:
    `input` - the stream to bind
  Returns:
    the InputStream that was previously active

### close

    public void close()
               throws IOException

  Closes stream associated with current thread.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException` - if an error occurs

### read

    public int read()
             throws IOException

  Read byte from stream associated with current thread.

  Specified by:
    `read` in class `InputStream`
  Returns:
    the byte read from stream
  Throws:
    `IOException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.